Summary:	KDE movie editor
Summary(pl.UTF-8):	Edytor filmów dla KDE
Name:		kdenlive
Version:	0.9.6
Release:	1
License:	GPL
Group:		X11/Applications/Multimedia
Source0:	ftp://ftp.debian.org/debian/pool/main/k/kdenlive/%{name}_%{version}.orig.tar.bz2
# Source0-md5:	3bd3a511b860490acc367e7c9d7ffa43
URL:		http://kdenlive.org/
BuildRequires:	automoc4
BuildRequires:	cmake
BuildRequires:	gettext-devel
BuildRequires:	kde4-kdelibs-devel
BuildRequires:	libv4l-devel
BuildRequires:	mlt-devel
BuildRequires:	pkgconfig
BuildRequires:	qjson-devel >= 0.5
BuildRequires:	qt4-build
BuildRequires:	qt4-qmake
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRequires:	shared-desktop-ontologies-devel
BuildRequires:	soprano-devel
Suggests:	dvdauthor
Suggests:	dvgrab
Suggests:	ffmpeg-ffplay
Suggests:	frei0r-plugins
Suggests:	mlt
Suggests:	recordmydesktop
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Kdenlive is a non-linear video editor for KDE. It provides all project
management and editing tools while relying on a separate rendering
program (currently PIAVE) to perform the editing operations. Support
is planned for transitions, effects, multiple file formats, and full
project and asset management support. The current beta is capable of
editing raw DV or AVI DV files, with tools such as move, razor, and
resize, selecting parts of clips using in/outpoints, and exporting the
result to another raw DV file. You may playback/preview the contents
of the timeline at any point during the edit. Full project save/load
is supported.

%description -l pl.UTF-8
Kdenlive to nieliniowy edytor filmów dla KDE. Dostarcza narzędzia do
zarządzania projektem i edycji polegające na oddzielnym programie
renderującym (aktualnie PIAVE) do wykonywania operacji edycji.
Planowana jest obsługa przejść, efektów, wielu formatów plików oraz
pełnego zarządzania projektem i kapitałem. Aktualna wersja beta może
modyfikować pliki w formacie surowego DV oraz AVI DV przy użyciu
narzędzi takich jak przemieszczanie, cięcia, zmiana rozmiaru,
wybieranie części klatek przy użyciu punktów wejściowych/wyjściowych
oraz eksportowanie wyniku do innego pliku w formacie surowego DV.
Można odtwarzać/podglądać zawartość w dowolnej chwili edycji.
Obsługiwany jest zapis/odczyt pełnego projektu.

%prep
%setup -q

%build
mkdir build
cd build
%cmake ..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

cd build
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cd ..
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/zh
%find_lang %{name} --with-kde

rm -rf $RPM_BUILD_ROOT%{_datadir}/menu

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{name}*
%{_libdir}/kde4/*
%{_datadir}/apps/%{name}
%{_datadir}/config/kdenlive*
%{_desktopdir}/kde4/%{name}.desktop
%{_datadir}/kde4/services/*.desktop
%{_datadir}/config.kcfg/kdenlivesettings.kcfg
%{_mandir}/man1/kdenlive*
%{_pixmapsdir}/*
%{_iconsdir}/*/*/*/*.png
%{_iconsdir}/*/*/*/*.svgz
%{_datadir}/mime/packages/*.xml
%changelog
* Mon Sep 23 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kdenlive.git;a=log;h=master

* Mon Sep 23 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> f80aa74
- up to 0.9.6

* Mon Sep 26 2011 Jacek Konieczny <jajcus@pld-linux.org> aff1e4d
- Version: 0.8

* Fri Jan 28 2011 sparky <sparky@pld-linux.org> e0b6d28
- improved structure - adapterized now
- dropped unused BR: automake, ffmpeg-devel, kde4-kdebase-devel

* Fri Jan 28 2011 sparky <sparky@pld-linux.org> ad54048
- BR: automoc4, gettext-devel, pkgconfig, qt4-build, qt4-qmake
- NOTE: this file has broken structure and confuses adapter

* Fri Oct 15 2010 Mateusz Korniak <matkor@pld-linux.org> 0b02e5b
- Release 2. BR: cmake.

* Thu Oct 14 2010 Mateusz Korniak <matkor@pld-linux.org> 55e6016
- Version 0.7.8-1.

* Tue Jun 01 2010 Mariusz Mazur <mmazur@pld-linux.org> 9608cbd
- up to 0.7.7.1; rel 0.2
- some things are still not working, need to figure it out

* Sun Feb 17 2008 Mateusz Korniak <matkor@pld-linux.org> 04f60f9
- Release 2. BR fixed (at least working for me) mlt/mlt++  packages.

* Mon Feb 04 2008 Elan Ruusamäe <glen@pld-linux.org> 1ff705b
- rel 1

* Mon Aug 13 2007 Mateusz Korniak <matkor@pld-linux.org> 608f899
- Version 0.5-0.1. Failed to load plugin: /usr/share/mlt/modules/libmltavformat.so: undefined symbol: img_convert

* Thu Jun 14 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 166ac93
- rel 2

* Thu Mar 22 2007 shadzik <shadzik@pld-linux.org> b7df269
- rel 1

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> af57c8d
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> cb54d3d
- converted to UTF-8

* Wed Dec 06 2006 shadzik <shadzik@pld-linux.org> 10178e2
- sorted BRs
- tabs

* Wed Dec 06 2006 shadzik <shadzik@pld-linux.org> 0876a02
- updated (autoconf and autoheader)

* Wed Dec 06 2006 shadzik <shadzik@pld-linux.org> 321fd23
- added missing commitlog rev. 1.1

* Wed Dec 06 2006 shadzik <shadzik@pld-linux.org> 9263820
- version BR

* Tue Dec 05 2006 Michał Łukaszek <mlukaszek+pld@gmail.com> 7436832
- updated to 0.4

* Tue Dec 05 2006 Michał Łukaszek <mlukaszek+pld@gmail.com> 5431fec
- updated for 0.4

